{% extends 'base.html.twig' %}

{% block title %}Question{% endblock %}

{% block body %}

    {# navbar start #}
    <nav class="navbar navbar-expand-lg nav-bar navbar-dark pt-4">
        <a class="text-white" href="{{ path('home') }}"><h5 class="text-uppercase">Sondage<span class="navbar-logo"><br> créateur</span></h5></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-link text-white h5" href="{{ path('profil') }}">Mon profil</a>
                <a class="nav-link text-white h5" href="{{ path('app_logout') }}">Se déconnecter</a>
                <a class="nav-link text-white h5" href="{{ path('home') }}">Accueil</a>
            </div>
        </div>
    </nav>
    {# navbar end #}

    {% if app.user.verified == true %} {# L'utilisateur, qui n'est pas confirmé son e-mail,
     ne peut pas créer un sondage #}

    <div class="wrapper">
    <div class="container w-50">
    <form id="form" class="container">
        <div class="form-group">
            <h2 class="text-white text-center">Créer un sondage</h2>
            <label class="text-white">Question</label>
            <input id="question" class="form-control">
        </div>

        <div id="liste-reponse" class="form-group">
            <label class="text-white">Réponse</label>
            <input data-id="0" data-reponse class="form-control mb-3">
            <input data-id="1" data-reponse class="form-control mt-3 mb-3">
            <input data-id="2" data-reponse class="form-control mt-3 mb-3">
        </div>

    <div class="text-center">
        <button type="submit" class="btn-sondage">Submit</button>
    </div>
    </form>
    </div>
    </div>

    {% else %}
        <div class="d-flex justify-content-center container">
        <p class="text-center h2" style="color: #f4c613">Pour créer votre premier sondage, confirmez votre e-mail ! </p>
        </div>

    {% endif %}

{% endblock %}

{% block javascripts %}
    <script>
        const form = document.getElementById("form");
        const question = document.getElementById("question");
        const inputs = Array.from(document.querySelectorAll("input[data-reponse]"));
        const inputValuesSave = new Array(3).fill("");
        const listeReponse = document.getElementById("liste-reponse");

        function checkInputs (input) { //la fonction checkInputs sera appelée sur chaque input
            const index = input.getAttribute("data-id"); //je récupère l'index
            inputValuesSave[index] = input.value; //je regarde la valeur sauverardée de l'input. si c'est l'input 0, on fait l'inputValuesSave 0, et on met qu'elle est égale à sa valeur
            if (inputValuesSave.every(i => i.length > 0)) {  //Avec every, je regarde, si la valeur de l'input est supérieur à 0. Si la valeur de tous les inputs est sepérieurs à 0, ça veut dire que le tableau est plein.
                const newInput = document.createElement("input"); //Si le tableau est plein, je crée un nouvel input
                newInput.classList.add("form-control", "mt-3", "mb-3"); //Je donne des classes au nouvel input.
                newInput.setAttribute("data-reponse", ""); //Je donne data-reponse au nouvel input
                newInput.setAttribute("data-id", inputValuesSave.length); //Je donne l'id au nouvel input
                newInput.addEventListener("input", checkInputs.bind(null, newInput)); //Je donne au nouvel input à nouveau la fonction checkInputs. Le code continue sur un nouvel input.
                listeReponse.appendChild(newInput); //J'ajoute un nouvel input à listReponse
                inputs.push(newInput); //Je l'ajoute à la fin du tableau
                inputValuesSave.push(""); //La valeur du nouvel input est vide
            }
        }

        inputs.forEach(function (input) {
            input.addEventListener("input", checkInputs.bind(null, input));
        });

        form.addEventListener("submit", function (e){
                e.preventDefault();
                //console.log("test");
                fetch("/create", {
                    method: "POST",
                    body: JSON.stringify({
                        question: question.value,
                        reponses: Array.from(inputs).map(i => i.value)
                    })
                }).then(function (res) {
                    return res.json();
                }).then(function (json){
                    window.location = "/vote/" + json.id
                });
            });
    </script>
{% endblock %}

{% block stylesheets %}
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: Tahoma, serif;
            background-image: url( {{ asset('asset/photo/black.jpg') }} );
            -webkit-background-size: cover;
            background-size: cover;
            height: 100vh;
        }

        .wrapper {
            display: flex;
            height: 80vh;
            justify-content: center;
            align-items: center;
        }

        .navbar-logo {
            color: #f4c613;
        }
        .navbar-logo a {
            cursor: pointer;
        }

        .navbar-logo a:hover {
            text-decoration: none;
        }

        .btn-sondage {
            border-radius: 28px;
            font-size: 13px;
            text-transform: uppercase;
            margin: 0 6px;
            padding: 12px 46px 12px 46px;
            transition: all 0.4s;
            background-color: #f4c613;
            color: white;
        }

    </style>
{% endblock %}


